package bsoc.alpha;

import java.awt.*;
import bsoc.socsim.*;
import bsoc.division.*;

/**
* An panel containing a view on an Alpha Division.
*/ 

public class AlphaPanel extends Panel {


	AlphaDivision div;
	SocSimPanel p1;
	DivisionPanel p2;

	AlphaPanel (AlphaDivision div) {
	 	
		this.div = div;

		setLayout(new GridLayout(2,1));
		p1 = new SocSimPanel(div.getSocSim());
		p2 = new DivisionPanel(div);

		add(p2);
		add(p1);
        }

	public Division getDivision () {
		return div;
	}
}
