package bsoc.division;

import java.io.*;
import java.util.*;
import java.awt.*;

/**
* View for division text info.
*/
public class DivisionInfoTextArea extends TextArea implements DivisionListener {

        private Division div;

        DivisionInfoTextArea () {
		super();
        }

        DivisionInfoTextArea (Division div) {
		super("",500,50);
		setBackground(new Color(255,172,81));
                this.div = div;
                div.addListener (this);
        }

        public void divisionEventPerformed (int id) {
                if (id == Division.CHANGED) {
			setText (div.toInfoString());
		}
        }

	public Division getDivision () {
		return div;
	}

}


