package bsoc.division;

import java.awt.*;

/**
* An panel containing a view on a Division.
*/ 

public class DivisionPanel extends Panel {


	Division div;
	DivisionControler cont;
	DivisionInfoTextArea area;

	DivisionPanel () {
		super ();
	}

	public DivisionPanel (Division div) {
		this ();
	 	
		this.div = div;

		setLayout(new BorderLayout());
		cont = new DivisionControler(div);
		area = new DivisionInfoTextArea(div);

		add(cont, BorderLayout.NORTH);
		add(area, BorderLayout.CENTER);
        }

	public Division getDivision () {
		return div;
	}
}
