package bsoc.socsim;

import java.awt.*;
import java.awt.event.*;


class SocSimFrame extends Frame {

	SocSimPanel panel;

	SocSimFrame () {
		super ();
        }		

	SocSimFrame (SocSim sim) {
		this ();
		enableEvents (AWTEvent.WINDOW_EVENT_MASK);
               	setTitle("BSOC socsim");
		setLayout(new BorderLayout());
		panel = new SocSimPanel(sim);
		add (panel, "Center");
        }		


	public void processWindowEvent(WindowEvent event) {
        	if (event.getID() == WindowEvent.WINDOW_CLOSING) {
                	System.exit(0);
        	}   
		else super.processWindowEvent(event);
	}

	public static void main(String args[]) {
                SocSimFrame window;
		SocSim sim; 

		sim = new SocSim ();
               	window = new SocSimFrame (sim);
               	window.setSize (700, 330);
               	window.show();
		sim.start ();
	}

}
