package bsoc.socsim;

import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

/**
* View for socsim text info.
*/
public class SocSimInfoTextArea extends TextArea implements SocSimListener {

        private SocSim sim;
	private Color bcolor = new Color(255,255,128); //light yellow

        SocSimInfoTextArea () {
		super();
        }

        SocSimInfoTextArea (SocSim sim) {
		super("",100,40);
		setBackground(bcolor);
                this.sim = sim;
                sim.addListener (this);
        }

        public void socSimPerformed (int id) {
                if (id == SocSim.CHANGED_FOR_INFO) {
			setText (sim.toInfoString());
		}
        }

	public SocSim getSocSim () {
		return sim;
	}

}


