package bsoc.util;

import java.io.*;

/**
* Writes the output values of a DirectionConverter to a Stream. This allows
* to visualize the output values of a Direction converter by the usage of a
* visualizeing tool (e.g. Excel).
* @see DirectionConverter
*/

class DirectionConverterStat extends StatFile {

        void writeStat (PrintStream ps) {
                DirectionConverter dc = new DirectionConverter (100);
                short a, b, c, d;
                int i;

                ps.println ("dir;a;b;c;d");
                for (i=-100; i<500; i++) {
                        a = dc.getA (i);
                        b = dc.getB (i);
                        c = dc.getC (i);
                        d = dc.getD (i);
                        ps.println (i+";"+a+";"+b+";"+c+";"+d);
                }
        }

        String getFileName () {
                return "dc.txt";
        }
}


