package bsoc.util;

import java.io.*;
import test.framework.*;

/**
* Testcases.
*/
public class DirectionConverterTest extends TestCase {

	DirectionConverter conv;

        DirectionConverterTest (String s) {
                super (s);
        }
 
        public static Test suite () {
                TestSuite s = new TestSuite ();
                s.addTest (new DirectionConverterTest ("testA"));
                s.addTest (new DirectionConverterTest ("testB"));
                s.addTest (new DirectionConverterTest ("testC"));
                s.addTest (new DirectionConverterTest ("testD"));
                return s;
        }

        protected void setUp () {
		conv = new DirectionConverter (100);
        }


        public void testA () {
                assert (conv.getA (-98) == 42);
                assert (conv.getA (-90) == 49);
                assert (conv.getA (0) == 99);
                assert (conv.getA (9) == 98);
                assert (conv.getA (16) == 97);
                assert (conv.getA (17) == 96);
                assert (conv.getA (495) == 14);
                assert (conv.getA (499) == 12);
        }

        public void testB () {
                assert (conv.getB (0) == 49);
                assert (conv.getB (90) == 99);
                assert (conv.getB (180) == 49);
                assert (conv.getB (270) == 0);

        }

        public void testC () {
                assert (conv.getC (0) == 0);
                assert (conv.getC (90) == 49);
                assert (conv.getC (180) == 99);
                assert (conv.getC (270) == 49);

        }
        public void testD () {
                assert (conv.getD (0) == 49);
                assert (conv.getD (90) == 0);
                assert (conv.getD (180) == 49);
                assert (conv.getD (270) == 99);

        }

}
		
