package bsoc.xnet;

import bsoc.nn.*;
import bsoc.util.*;

class SmallSquareConnector extends NetConnector {

        SmallSquareConnector (int seed, int stretch) {
               super (seed, nodesPerLayer (), connProbMatrix (), new Weighter (0, 1), 
                                                                                new Transfer (stretch));
        }

        static IntVector nodesPerLayer () {
                IntVector npl = new IntVector ();
              	npl.addElement (5);
                npl.addElement (5);
                npl.addElement (5);
                npl.addElement (5);
                npl.addElement (5);
                return npl;
        }

        static IntVector connProbMatrix () {
                IntVector cpm = new IntVector ();
                IntVector cpl;

                        cpl = new IntVector ();
                cpm.addElement (cpl);
                        cpl = new IntVector ();
                        cpl.addElement (100);
                cpm.addElement (cpl);
                        cpl = new IntVector ();
                        cpl.addElement (0);
                        cpl.addElement (100);
                cpm.addElement (cpl);
                        cpl = new IntVector ();
                        cpl.addElement (0);
                        cpl.addElement (0);
                        cpl.addElement (100);
                cpm.addElement (cpl);
                        cpl = new IntVector ();
                        cpl.addElement (0);
                        cpl.addElement (0);
                        cpl.addElement (0);
                        cpl.addElement (100);
                cpm.addElement (cpl);

                return cpm;
        }

}


