package bsoc.alpha;

import java.awt.*;
import java.awt.event.*;


class AlphaFrame extends Frame {

	AlphaPanel panel;

	AlphaFrame (AlphaDivision div) {
		enableEvents (AWTEvent.WINDOW_EVENT_MASK);
               	setTitle("BSOC alpha division");
		setLayout(new BorderLayout());
		panel = new AlphaPanel(div);
		add (panel, "Center");
        }		


	public void processWindowEvent(WindowEvent event) {
        	if (event.getID() == WindowEvent.WINDOW_CLOSING) {
                	System.exit(0);
        	}   
		else super.processWindowEvent(event);
	}

	public static void main(String args[]) {
                AlphaFrame window;
		AlphaDivision div; 

		div = new AlphaDivision ();
               	window = new AlphaFrame (div);
               	window.setSize (700, 650);
               	window.show();
		div.start ();
	}

}
