package bsoc.alpha;

import test.framework.*;
import bsoc.util.*;

/**
* All tests for the package bsoc.alpha
*/
public class AlphaTest extends BsocTestCase {

        AlphaTest (String s) {
                super (s);
        }
 
        public static Test suite () {
                TestSuite s = new TestSuite ();
                s.addTest (AlphaSimTest.suite ());
                s.addTest (new AlphaTest ("testCreateAlphaTeam"));
                return s;
        }

	public void testCreateAlphaTeam () {

	AlphaTeam at = new AlphaTeam();
	assert (at.playerAt(0) != null);
	assert (at.playerAt(1) != null);
	assert (at.playerAt(2) != null);
	assert (at.playerAt(3) != null);
	assert (at.playerAt(4) != null);
	assert (at.playerAt (0).getClass().toString().equals("class bsoc.alpha.AlphaPlayer"));
	assert (at.playerAt (1).getClass().toString().equals("class bsoc.alpha.AlphaPlayer"));
	assert (at.playerAt (2).getClass().toString().equals("class bsoc.alpha.AlphaPlayer"));
	assert (at.playerAt (3).getClass().toString().equals("class bsoc.alpha.AlphaPlayer"));
	assert (at.playerAt (4).getClass().toString().equals("class bsoc.alpha.AlphaPlayer"));
	assert (at.size() == 5);
        }

}
