
package bsoc.division;

import java.awt.*;
import java.awt.event.*;

class DivisionControler extends Panel implements ActionListener {

	private Button newButton;
	private Division div;

	DivisionControler () {
		super ();
	}

	DivisionControler (Division div) {
		this ();
	 	
		this.div = div;

		setLayout (new GridLayout (1, 1));

		newButton = new Button ("Update");
		newButton.addActionListener (this);
		add (newButton);

	}
	
	public void actionPerformed (ActionEvent e) {
		String cmd;

		cmd = e.getActionCommand ();
		if (cmd == "Update") div.performEvent (Division.CHANGED);
		else throw new Error ("Unknown action command '" + cmd +"'");
	}



}
