package bsoc.division;

import java.awt.*;
import java.awt.event.*;


class DivisionFrame extends Frame {

	DivisionPanel panel;

	DivisionFrame () {
		super ();
        }		

	DivisionFrame (Division div) {
		this ();
		enableEvents (AWTEvent.WINDOW_EVENT_MASK);
               	setTitle("BSOC division");
		setLayout(new BorderLayout());
		panel = new DivisionPanel(div);
		add (panel, "Center");
        }		


	public void processWindowEvent(WindowEvent event) {
        	if (event.getID() == WindowEvent.WINDOW_CLOSING) {
                	System.exit(0);
        	}   
		else super.processWindowEvent(event);
	}

	public static void main(String args[]) {
                DivisionFrame window;
		Division div; 

		div = new TestDivision1 ();
               	window = new DivisionFrame (div);
               	window.setSize (600, 330);
               	window.show();
		div.start ();
	}

}
