package bsoc.division;

import test.framework.*;
import bsoc.util.*;
import java.util.*;

/**
* Testcases.
*/
public class SmallDiffDivisionTest extends TestCase {

        SmallDiffDivision ds;

        SmallDiffDivisionTest (String s) {
                super (s);
        }
 
        public static Test suite () {
                TestSuite s = new TestSuite ();
                s.addTest (new SmallDiffDivisionTest ("testOneRound"));
                return s;
        }

        protected void setUp () {
                ds = new SmallDiffDivision ();
        }

	public void testOneRound () {
                Enumeration enum;
                DTableEntry dte;
                int i;

                ds.start ();

                enum = ds.dTableEntries();
                dte = (DTableEntry)enum.nextElement ();
                assert (dte.getTeamId () == 0);
                dte = (DTableEntry)enum.nextElement ();
                assert (dte.getTeamId () == 1);
                dte = (DTableEntry)enum.nextElement ();
                assert (dte.getTeamId () == 2);
                dte = (DTableEntry)enum.nextElement ();
                assert (dte.getTeamId () == 3);
                dte = (DTableEntry)enum.nextElement ();
                assert (dte.getTeamId () == 4);

	}

}
