package bsoc.division;


import test.framework.*;
import bsoc.util.*;
import java.util.*;

/**
* Testcases.
*/
public class TeamTest extends TestCase {

	Team t1, t2, t3, t4;

	TeamTest (String s) {
                super (s);
        }
 
        public static Test suite () {
                TestSuite s = new TestSuite ();
                s.addTest (new TeamTest ("testEquals"));
                return s;
        }

        protected void setUp () {

		t1 = new Team();
		t1.insertPlayerAt(new TestPlayer(), 0);
		t1.insertPlayerAt(new TestPlayer(), 1);
		t1.insertPlayerAt(new TestPlayer(), 2);
		t1.insertPlayerAt(new TestPlayer(), 3);

		t2 = new Team();
		t2.insertPlayerAt(new TestPlayer(), 0);
		t2.insertPlayerAt(new TestPlayer(), 1);
		t2.insertPlayerAt(new TestPlayer(), 2);
		t2.insertPlayerAt(new TestPlayer(), 3);

		t3 = new Team();
		t3.insertPlayerAt(new TestPlayer(), 0);
		t3.insertPlayerAt(new TestPlayer(), 1);
		t3.insertPlayerAt(new TestPlayer(), 2);

		t4 = new Team();
		t4.insertPlayerAt(new TestPlayer(), 0);
		t4.insertPlayerAt(new TestPlayer(), 1);
		t4.insertPlayerAt(new TestPlayer(), 2);
		t4.insertPlayerAt(new TestPlayer1(), 3);
        }

	public void testEquals () {
                assert (t1.equals(t2));
                assert (t2.equals(t1));
                assert (!t1.equals(t3));
                assert (!t3.equals(t1));
                assert (!t1.equals(t4));
                assert (!t4.equals(t1));
        }
}


