package bsoc.fcfunny;

import	EDU.gatech.cc.is.util.*;
import	EDU.gatech.cc.is.abstractrobot.*;
import	java.util.*;

/**
* Testimplementation of a JavaSoccer control system. The players are only walking around.
* They dont play soccer at all.
*/
public class Player extends ControlSystemSS {
	static Random ran = new Random ();
	
	public int takeStep() {
		double 	sh, shNew;
		long	curr_time = abstract_robot.getTime();

		sh = abstract_robot.getSteerHeading(curr_time);
		shNew = sh + steerHeadingDiff ();
		abstract_robot.setSteerHeading(curr_time, shNew);
		abstract_robot.setSpeed(curr_time, 0.5);
		return(CSSTAT_OK);
	}

	double steerHeadingDiff () {
		if (ran.nextDouble () < 0.8) return 0.0;
		else if (ran.nextDouble() > 0.5) return 3.0;
		else return 3.0;
	}
}
