package bsoc.nn;

import test.framework.*;

/**
* All testcases for the package bsoc.nn.
*/
public class NnTest extends TestCase {
 
        public static Test suite () {
                TestSuite s = new TestSuite ();
                s.addTest (TransferTest.suite ());
                s.addTest (WeighterTest.suite ());
                s.addTest (RandomTest.suite ());
                s.addTest (SynapseTest.suite ());
                s.addTest (LayerTest.suite ());
                s.addTest (NetTest.suite ());
                return s;
        }
}

