package bsoc.socsim;

import java.awt.*;

/**
* An panel containing a SocSimSimulation.
*/ 

public class SocSimPanel extends Panel {


	SocSim sim;
        SocSimCanvas canvas;
	SocSimControlerPanel controlerPanel;
	SocSimInfoTextArea area;

	SocSimPanel () {
		super ();
	}

	public SocSimPanel (SocSim sim) {
		this ();
	 	
		this.sim = sim;

		setLayout(new BorderLayout());
                canvas = new SocSimCanvas(sim);
		controlerPanel = new SocSimControlerPanel(sim);
		area = new SocSimInfoTextArea(sim);

		add(controlerPanel, BorderLayout.NORTH);
		add(area, BorderLayout.EAST);
		add(canvas, BorderLayout.CENTER);

        }

	public SocSim getSim () {
		return sim;
	}
}
