package bsoc.testall;

import test.framework.*;

/**
* Runs all testcases for B-Soccer.
*/

public class BsocTest extends TestCase {
 
        public static Test suite () {
                TestSuite s = new TestSuite ();
                s.addTest (bsoc.nn.NnTest.suite ());
                s.addTest (bsoc.division.DivisionTest.suite ());
                s.addTest (bsoc.util.UtilTest.suite ());
                s.addTest (bsoc.alpha.AlphaTest.suite ());
                s.addTest (bsoc.genetic.GeneticTest.suite ());
                return s;
        }
}

