package bsoc.util;

/**
* Makes Objects comparable.
* @see SortableVector
*/
public interface Comparable {

	/**
	* Returns true if this is greater than another object.
	* @param other The other object.
	* @return true if this is greater than another object. 
	*/
	public boolean isGreaterThan (Comparable other);

}


