package bsoc.util;

import java.io.*;

/**
* Implements the Comparable interface to test SortableVector.
* @see SortableVector
*/

class ComparableTestElement implements bsoc.util.Comparable, Serializable {

	int value;

	ComparableTestElement () {
		value = 0;
	}

	ComparableTestElement (int val) {
		value = val;
	}

	public boolean isGreaterThan (bsoc.util.Comparable other) {
		ComparableTestElement oc;
		
		oc = (ComparableTestElement)other;
		return (getValue() > oc.getValue());
	}

	int getValue () {
		return value;
	}

        public boolean equals (Object o) {
                if (! (o instanceof ComparableTestElement)) return false;
                else {
                        ComparableTestElement c = (ComparableTestElement)o;
			return (c.getValue() == getValue());
		}
	}
}
