package bsoc.util;

import test.framework.*;

/**
* Testcases.
*/
public class IPairTest extends TestCase {
 
	IPair ip1, ip2, ip3;

        IPairTest (String s) {
                super (s);
        }
 
        public static Test suite () {
                TestSuite s = new TestSuite ();
                s.addTest (new IPairTest ("testEquals"));
                s.addTest (new IPairTest ("testCreate"));
                return s;
        }

        protected void setUp () {
                ip1 = new IPair (1, 1);
                ip2 = new IPair (1, 1);
                ip3 = new IPair (1, 3);
        }

        public void testCreate () {
                int a, b;

                a = ip1.getA ();
                b = ip1.getB ();
                assert (a == 1);
                assert (b == 1);

                a = ip3.getA ();
                b = ip3.getB ();
                assert (a == 1);
                assert (b == 3);
        }

        public void testEquals () {
                assert (ip1.equals (ip1));
                assert (ip1.equals (ip2));
                assert (! ip1.equals (ip3));

                assertEquals (ip1, ip2);
        }


}

 
